define vagrantlamp::apache::vhost(
  $docroot,
  $setenv = ['APP_ENV dev',],
) {

  file{$docroot:
    ensure => directory,
  }

  ::apache::vhost{"vagrantlamp-${name}":
    docroot         => $docroot,
    port            => 80,
    require         => File[$docroot],
    custom_fragment => "  ProxyPassMatch ^/(.*\\.php(/.*)?)$ fcgi://127.0.0.1:9000${docroot}/\$1",
    setenv          => $setenv,
    directories     => [
      {
        path           => $docroot,
        allow_override => 'All',
      },
    ],
  }

}
